<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Update User</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <link rel="stylesheet"  href="css/style.css">
    <style>
        h2{
             margin-top: 90px;
             margin-bottom: 40px;
        }
    </style>
</head>

<body>
<div class="container my-5">
    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <a class="navbar-brand" href="#">Selling Cars</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown</a>
                    <div class="dropdown-menu" aria-labelledby="dropdown01">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </li>
            </ul>

        </div>
    </nav>
    <h2 class="text-success"> Update Student</h2>
    <div class="card">
        <div class="card-body">
            <div class="col-md-8">
                <form action="#" th:action="@{/cars/update/{id}(id=${car.car_id})}" th:object="${car}" method="post">
                    <div class="row">

                        <div class="form-group col-md-6">
                            <label for="namecar" class="col-form-label">Name Car</label>
                            <input type="text" th:field="*{namecar}" class="form-control" id="namecar" placeholder="Name Car">
                            <span th:if="${#fields.hasErrors('namecar')}" th:errors="*{namecar}" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-6">
                            <label for="numSets" class="col-form-label">Num Sets</label>
                            <input type="text" th:field="*{numSets}" class="form-control" id="numSets" placeholder="Num Sets">
                            <span th:if="${#fields.hasErrors('numSets')}" th:errors="*{numSets}" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-8">
                            <label for="dateSale" class="col-form-label">Date Sale</label> <input type="date" th:field="*{dateSale}" class="form-control" id="dateSale" placeholder="Date Sale"> <span th:if="${#fields.hasErrors('dateSale')}" th:errors="*{dateSale}" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-8">
                            <label for="PriceOfCar" class="col-form-label">Price Of Car</label> <input type="text" th:field="*{PriceOfCar}" class="form-control" id="PriceOfCar" placeholder="Price Of Car"> <span th:if="${#fields.hasErrors('PriceOfCar')}" th:errors="PriceOfCar" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-8">
                            <label for="nameOfBuyer" class="col-form-label">Name Of Buyer</label> <input type="text" th:field="*{nameOfBuyer}" class="form-control" id="nameOfBuyer" placeholder="Name Of Buyer"> <span th:if="${#fields.hasErrors('nameOfBuyer')}" th:errors="*{nameOfBuyer}" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-8">
                            <input type="submit" class="btn btn-success" value="Update Car">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script>window.jQuery || document.write('<script src="/docs/4.5/assets/js/vendor/jquery.slim.min.js"><\/script>')</script><script src="/docs/4.5/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script></body>
</body>
</html>